Package org.eclipse.m2m.atl.adt.ui.text

# Class AtlElementHyperlinkDetector

java.lang.Object
org.eclipse.jface.text.hyperlink.AbstractHyperlinkDetector
org.eclipse.m2m.atl.adt.ui.text.AtlElementHyperlinkDetector

All Implemented Interfaces:
  `org.eclipse.jface.text.hyperlink.IHyperlinkDetector`, `org.eclipse.jface.text.hyperlink.IHyperlinkDetectorExtension`

public class AtlElementHyperlinkDetector extends org.eclipse.jface.text.hyperlink.AbstractHyperlinkDetector
This will allow us to plug the CTRL+click "open declaration" into Atl editors.

## Constructor Summary

Constructors
Constructor
Description
`AtlElementHyperlinkDetector()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.jface.text.hyperlink.IHyperlink[]`
`detectHyperlinks(org.eclipse.jface.text.ITextViewer textViewer, org.eclipse.jface.text.IRegion region, boolean canShowMultipleHyperlinks)`

### Methods inherited from class org.eclipse.jface.text.hyperlink.AbstractHyperlinkDetector

`dispose, getAdapter, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlElementHyperlinkDetector

public AtlElementHyperlinkDetector()

## Method Details

### detectHyperlinks

public org.eclipse.jface.text.hyperlink.IHyperlink[] detectHyperlinks(org.eclipse.jface.text.ITextViewer textViewer, org.eclipse.jface.text.IRegion region, boolean canShowMultipleHyperlinks)

See Also:
  - `IHyperlinkDetector.detectHyperlinks(org.eclipse.jface.text.ITextViewer, org.eclipse.jface.text.IRegion, boolean)`